Transport Products
Endpoints related to Transport Products.
List transport products
path Parameters
tenantIdTenant ID. Can be found in organisation settings
query Parameters
scopeHeaders
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
List transport products › Responses
Transport products found. Returns products.
idtypenameIdentifies a customer. When more than one identifying property is supplied, they are
checked in this order: id, references.code, then name.
measuresCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
enabledCreate a transport product
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Create a transport product › Request Body
typenameIdentifies a customer. When more than one identifying property is supplied, they are
checked in this order: id, references.code, then name.
measuresCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
enabledCreate a transport product › Responses
Transport product was created.
idtypenameIdentifies a customer. When more than one identifying property is supplied, they are
checked in this order: id, references.code, then name.
measuresCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
enabledBulk update products
Sets enabled on each product that matches the query. The query selects which products are updated. The response has no body.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Bulk update products › Request Body
enabledValue written to each matching product.
Bulk update products › Responses
The matching products were updated.
Get a transport product
Get transport product either by ID or code if refType request parameter is supplied with value 'CODE'.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
identifierProduct ID or Code
query Parameters
refTypeMust be supplied with value of CODE if identifier is a product code
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Get a transport product › Responses
Transport Product found. Returns product.
idtypenameIdentifies a customer. When more than one identifying property is supplied, they are
checked in this order: id, references.code, then name.
measuresCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
enabledUpdate product
Updates the transport product.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
identifierProduct ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
If-MatchSend the ETag value from GET product, including the quotes.
Update product › Request Body
nameUpdate product › Responses
Success
idtypenameIdentifies a customer. When more than one identifying property is supplied, they are
checked in this order: id, references.code, then name.
measuresCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
enabledDelete product
Marks the product inactive. Refuses the delete when the product is on consignment items or rates.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
identifierProduct ID
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Delete product › Responses
Product marked inactive.